FreeMat

- Main Page
- Related Pages

vtkDataObjectWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkDataObjectWriter is a source object that writes ASCII or binary field data files in vtk format. Field data is a general form of data in matrix form.

To create an instance of class vtkDataObjectWriter, simply invoke its constructor as follows

      obj = vtkDataObjectWriter

# Methods

The class vtkDataObjectWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataObjectWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataObjectWriter = obj.NewInstance ()`
- `vtkDataObjectWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string filename)` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `string = obj.GetFileName ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `obj.SetHeader (string header)` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `string = obj.GetHeader ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `obj.SetFileType (int type)` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `int = obj.GetFileType ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `obj.SetFileTypeToASCII ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `obj.SetFileTypeToBinary ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `obj.SetFieldDataName (string fieldname)` - Methods delegated to vtkDataWriter, see vtkDataWriter.
- `string = obj.GetFieldDataName ()` - Methods delegated to vtkDataWriter, see vtkDataWriter.